AclEntry.Builder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.permission, class: AclEntry, class: Builder

Package org.apache.hadoop.fs.permission

# Class AclEntry.Builder

java.lang.Object
org.apache.hadoop.fs.permission.AclEntry.Builder

Enclosing class:
  AclEntry

public static class AclEntry.Builder extends Object
Builder for creating new AclEntry instances.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AclEntry`
  `build()`
  Builds a new AclEntry populated with the set properties.
  `AclEntry.Builder`
  `setName(String name)`
  Sets the optional ACL entry name.
  `AclEntry.Builder`
  `setPermission(FsAction permission)`
  Sets the set of permissions in the ACL entry.
  `AclEntry.Builder`
  `setScope(AclEntryScope scope)`
  Sets the scope of the ACL entry.
  `AclEntry.Builder`
  `setType(AclEntryType type)`
  Sets the ACL entry type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### setType

    public AclEntry.Builder setType(AclEntryType type)
    Sets the ACL entry type.
    Parameters:
      `type` - AclEntryType ACL entry type
    Returns:
      Builder this builder, for call chaining

  - ### setName

    public AclEntry.Builder setName(String name)
    Sets the optional ACL entry name.
    Parameters:
      `name` - String optional ACL entry name
    Returns:
      Builder this builder, for call chaining

  - ### setPermission

    public AclEntry.Builder setPermission(FsAction permission)
    Sets the set of permissions in the ACL entry.
    Parameters:
      `permission` - FsAction set of permissions in the ACL entry
    Returns:
      Builder this builder, for call chaining

  - ### setScope

    public AclEntry.Builder setScope(AclEntryScope scope)
    Sets the scope of the ACL entry. If this method is not called, then the builder assumes `AclEntryScope.ACCESS`.
    Parameters:
      `scope` - AclEntryScope scope of the ACL entry
    Returns:
      Builder this builder, for call chaining

  - ### build

    public AclEntry build()
    Builds a new AclEntry populated with the set properties.
    Returns:
      AclEntry new AclEntry